1. Hartstend
  2. Предпродажные вопросы о WP Media Folder
  3. Пятница, 03 2020 июля
  4.  Подписаться по электронной почте
Привет,

Ваш плагин приносит некоторые уникальные функции, такие как подключение к Google Фото на стол. Прежде чем интегрировать подобное решение в более крупные веб-сайты, я начал спрашивать об опыте использования вашего решения.
После общения с разработчиками, использующими ваш плагин, я получил сообщение о том, что существуют некоторые проблемы, связанные со сторонним программным обеспечением, которое вы используете.

Одним из примеров является Guzzle. Насколько вам известно, вы не уверены, что используется последняя версия Guzzle, например, здесь: https://nimb.ws/I2jUxc, В большинстве случаев это останется неактуальным.
Текущая версия Guzzle - 7.0 .1. Но иногда использование более старой версии приводит к потенциальным проблемам с другими поставщиками плагинов или решений, которые используют Guzzle в качестве базового решения.

Таким образом, вопрос касается вашей политики обновления частот стороннего программного обеспечения, которое вы используете.
Это помогло бы мне понять ваше мышление по этому поводу и, следовательно, техническую стабильность в сочетании с другими решениями, использующими Guzzle в Wordpress .

Спасибо.
Принятый ответОжидание модерации
Привет,


The current version of Guzzle is 7.0.1. But sometimes using older version this leads to potential problems with other plugin or solution providers who use Guzzle as their base solution.

И наоборот, использование последних версий может привести к несовместимости с другими плагинами, использующими старые версии. : D
Третьи стороны также могут быть обратно совместимыми или нет, и т.д ...
Это проблема для плагинов WordPress как нам приходится иметь дело с тысячами других плагинов, которые также обрабатывают различные версии кода сторонних разработчиков.
Честно говоря, нет идеального решения, так как мы имеем дело с разными типами клиентов. У некоторых пользователей есть старые плагины, которые больше не поддерживаются, но у них нет другого выбора, чтобы их сохранить, у других есть все последние плагины, плагины не загружают api / sdk таким же образом ...
Мы также имеем дело с различными SDK, которые иногда не могут быть интегрированы, как в коде, чтобы избежать 20-мегабайтного пакета плагинов (что было бы проблемой для большинства пользователей).

В настоящее время мы обновляем его в основной версии нашего плагина или если мы знаем о проблеме безопасности или несовместимости.
Поскольку мы не можем протестировать наш плагин со всеми другими существующими плагинами, мы можем время от времени иметь несовместимости. Вот почему все наши планы включают доступ к нашей команде поддержки, и разработчик проверит проблему и решит ее с вами.
Конечно, мы всегда рекомендуем нашим клиентам предварительно протестировать любое обновление на промежуточном веб-сайте, чтобы любая несовместимость могла быть обнаружена и устранена до стадии производства.

Хотя это то, над чем мы планировали работать и улучшать все наши плагины.

С наилучшими пожеланиями,
Принятый ответОжидание модерации
Привет Дэмиен,

спасибо за ваш очень убедительный ответ. Да, вы абсолютно правы, вы никогда не сможете предотвратить проблемы совместимости.
Поскольку я вижу скорость ответа на предпродажный вопрос, я также убежден, что служба поддержки ответит быстро. Это самая важная вещь для меня.

Спасибо, что нашли время и были открыты для этой темы. Рассмотрим ваше решение для будущих проектов.

С наилучшими пожеланиями
  • Страница:
  • 1


На этот пост пока нет ответов.
Будь одним из первых, кто ответит на это сообщение!